Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.tree.builder
Class SourceTreeModelDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.tree.builder.SourceTreeModelDefinitionBuilder

All Implemented Interfaces:
  TreeModelDefinitionBuilder

public class SourceTreeModelDefinitionBuilder
extends Object
implements TreeModelDefinitionBuilder

Builds a `SourceTreeModel`.

Version:
  $Id: SourceTreeModelDefinitionBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.formmodel.tree.builder.TreeModelDefinitionBuilder
`ROLE`

Constructor Summary
`SourceTreeModelDefinitionBuilder()`

Method Summary
`TreeModelDefinition` | `build(Element modelElt)`
`protected List` | `getPatterns(Element parent, String name)`
`void` | `setSourceResolver(SourceResolver sourceResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceTreeModelDefinitionBuilder

    public SourceTreeModelDefinitionBuilder()

Method Detail

### build

    public TreeModelDefinition build(Element modelElt)
                              throws Exception

  Specified by:
    `build` in interface `TreeModelDefinitionBuilder`
  Throws:
    `Exception`
  See Also:
    `TreeModelDefinitionBuilder.build(org.w3c.dom.Element)`

### getPatterns

    protected List getPatterns(Element parent,
                               String name)
                        throws Exception

  Throws:
    `Exception`

### setSourceResolver

    public void setSourceResolver(SourceResolver sourceResolver)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.